function [ ] = analyze_xo(fs,varargin)

%UNTITLED3 Summary of this function goes here
%   Detailed explanation goes here
impulses=varargin;

for n=1:(nargin-1)
    impulse = impulses{n};
    taps = length(impulse)/2;
    f=linspace(0,fs/2,taps);

    t=1/fs * (1:length(impulse));

    figure(100)
    plot(t,impulse)
    [wv{n},yv{n}] = doFFT(fs,fftshift(impulse));
    ydB(:,n) = 20*log10(abs(yv{n}));
    impplot(:,n) = impulse;
    
    if n==1
        wtot = wv{1};
        ytot = yv{1};
        
    else
        ytot = ytot+yv{n};
    end
end

figure(100)
plot(t,impplot)
title('Impulse responses')
xlabel('T, s')
grid

figure(101)
plot(t,cumsum(impplot))
title('Step responses')
xlabel('T, s')
grid

fplot=wtot/2/pi;
figure(200)
semilogx(fplot,ydB,fplot,20*log10(abs(ytot)))
title('Magnitudes')
xlabel('f, Hz')
grid
% figure(201)
% semilogx(wHP/2/pi,180/pi*angle(yHP), wLP/2/pi,180/pi*angle(yLP)); %*exp(-1i*t(ceil(end/2)))  +t0*wHP')


end

