function [ omega, Y ] = doFFT( fs, samples )
%[omega Y] = doFFT(time, samples), perform fft of data
%   Detailed explanation goes here
%%

Y = fft(samples);
Y(1)=[];

n=length(Y);
n2 = ceil(n/2);
nyquist = 1/2;
freq = fs*(1:n2)/(n2)*nyquist;
omega=freq'*2*pi;
Y=Y(1:n2);
end

